import logoutUser from "../../actions/users/logout-user";
import userAuth from "../../actions/users/user-auth";
import { AddUserParams, GetUserParams, LoginUserParam, ResetPasswordParams, SendEmailCodeParams, UpdateUserParams } from "../../types";
type Params = {
    local?: boolean;
};
export default function user(params?: Params): {
    auth: {
        login: (_: LoginUserParam) => Promise<import("../../types").APIResponseObject<import("../../types").DATASQUIREL_LoggedInUser | null>>;
        get: (_: GetUserParams) => Promise<import("../../types").GetUserFunctionReturn>;
        signup: (_: AddUserParams) => Promise<import("../../types").APIResponseObject>;
        sendEmailCode: (_: SendEmailCodeParams) => Promise<import("../../types").APIResponseObject>;
        update: (_: UpdateUserParams) => Promise<import("../../types").UpdateUserFunctionReturn>;
        resetPassword: (_: ResetPasswordParams) => Promise<import("../../types").UpdateUserFunctionReturn>;
        logout: typeof logoutUser;
        auth: typeof userAuth;
    };
};
export {};
